DSA2< H > Class Template Reference

DSA, as specified in FIPS 186-3 More...

Inheritance diagram for DSA2< H >:

## Static Public Member Functions

static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from DL_SS< DL_Keys_DSA, DL_Algorithm_GDSA< Integer >, DL_SignatureMessageEncodingMethod_DSA, H, DSA2< H > >
static std::string | StaticAlgorithmName ()

## Additional Inherited Members

Public Types inherited from DL_SS< DL_Keys_DSA, DL_Algorithm_GDSA< Integer >, DL_SignatureMessageEncodingMethod_DSA, H, DSA2< H > >
typedef PK_FinalTemplate< DL_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< DL_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from DL_Keys_DSA
typedef DL_PublicKey_GFP< DL_GroupParameters_DSA > | PublicKey
typedef DL_PrivateKey_WithSignaturePairwiseConsistencyTest< DL_PrivateKey_GFP< DL_GroupParameters_DSA >, DSA2< SHA > > | PrivateKey

## Detailed Description

### template<class H>
class DSA2< H >

DSA, as specified in FIPS 186-3

Definition at line 455 of file gfpcrypt.h.

The documentation for this class was generated from the following file:

- gfpcrypt.h